package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class VirtualMediaRepository {
    private Metadata metadata;
    private OpticalMedia opticalMedia;
    /**
     * VMLibrary
     */
    private String repositoryName;
    /**
     * 20
     * <p>
     * GB单位
     */
    private String repositorySize;
    /**
     * @return the schemaVersion
     */
    /**
     * @param schemaVersion the schemaVersion to set
     */
    /**
     * @return the metadata
     */
    public Metadata getMetadata() {
        return metadata;
    }

    /**
     * @param metadata the metadata to set
     */
    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the opticalMedia
     */
    public OpticalMedia getOpticalMedia() {
        return opticalMedia;
    }

    /**
     * @param opticalMedia the opticalMedia to set
     */
    public void setOpticalMedia(OpticalMedia opticalMedia) {
        this.opticalMedia = opticalMedia;
    }

    /**
     * @return the repositoryName
     */
    public String getRepositoryName() {
        return repositoryName;
    }

    /**
     * @param repositoryName the repositoryName to set
     */
    public void setRepositoryName(String repositoryName) {
        this.repositoryName = repositoryName;
    }

    /**
     * @return the repositorySize
     */
    public String getRepositorySize() {
        return repositorySize;
    }

    /**
     * @param repositorySize the repositorySize to set
     */
    public void setRepositorySize(String repositorySize) {
        this.repositorySize = repositorySize;
    }

    public VirtualMediaRepository() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
